/* 
 * idioma
 */
/*idioma ingles*/
var translations = {
    "en": {
        "li": " My lists",
        "promo": "See promotions",
        "locaP": "Locate product ",
        "promod": "Available promotions ",
        "prom": "Promotion ",
        "g": "Save",
        "np": "Product name",
        "ag": "Add",
        "es": "Scan",
        "bu": "Search",
        "el": "Delete",
        "ed": "Edit",
        "ca": "Quantity",
        "pr": "Price",
        "bp": "Search product",
        "cr": "Close",
        "scp": "Scan product",
        "al": "Add to list",
        "up": "Location",
        "ubn": "It is located at:",
        "pa": "Hall",
        "co": "Corridor",
        "pi": "floor",
        "ne": "Shelf",
        "nl": "New List",
        "in": "Enter a name",
        "menu": "Menu",
        "supermercado": "Supermarket",
        "atras": "Back",
        "seccion": "Section",
        "corredor": "Corridor",
        "infpromo": "Promotion",
        "descripcionPromo": "Description",
        "precioNormal": "Normal price ",
        "nuevoname": "New product",
        "simple": "Simple",
        "productoadd": "Product added",
        "productnofound": "Product not found",
        "errorgetInfSuper": "Failed to get information",
        "agregado": "Added",
        "sinconexion": "No internet connection",
        "preciounitario":"unit price",
        "vermapa":"See map",
        "nuevonombre":"New name",
        "ubicacionnoecnontrada":"Location not found",
        "correo": "Email",
        "contrasenia" : "Password",
        "iniciar_secion": "Sign In",
        "registrarse": "Create New Shop-List Account",
        "olvidaste_contrasenia" : "Forgot Password?",
        "ingles": "English",
        "espaniol" : "Spanish",
        "pagarLista" : "Before Pay List",
        "recupera_contrasenia" : "Recover Password",
        "verificar": "Verify",
        "cancelar":"Cancel",
        "actualizar": "Update",
        "codigo": "Code",
        "contrasenia_nueva": "New Password",
        "supermercados" : "Supermarkets",
        "inicio": "Home",
        "perfil" : "Profile",
        "salir" : "Log Out",
        "nombre" : "Name",
        "apellido" : "Last Name",
        "regis" : "Register",
        "mensajeinicial" :  "Your list will soon be dispatched",
        "enespera" : "On hold",
        "enprogreso" : "In progress",
        "listadespachada" : "Dispatched list",
        "pedidolisto" : "Your order is ready",
        "seguimiento" : "Tracing",
        "comprar" : "Buy",
        "pagadacorrecta" : "Successful Transaction",
        "sinproductos" : "No products list",
        "producto" : "Product",
        "precioOriginal" : "Original price",
        "descuento" : "Discount",
        "actualizarperfil" : "Successful Update",
        "actualizarperfilerror" : "Error Update",
        "actualizar_contrasenia" : "Update password",
        "ubicacion" : "Location",
        "entregadomic" : "Home delivery",
        "costoadicional" : "You will have an additional cost of",
        "cancelartext" : "Pick up",
        "oktext" : "Delivery",
        "sinlistas" : "Without Lists",
        "creesuslistas" : "Create your lists in the section Supermarkets",
        "tuslistas" : "My lists",
        "ayuda" : "Help",
        "manual" : "Handbook",
        "listasm" : "Lists"

    },
    /*idioma español*/
    "es": {
        "li": "Mis listas",
        "promo": "Ver promociones",
        "locaP": "Localizar producto",
        "promod":  "Promociones disponibles",
        "prom": "Promoción",
        "g": "Guardar",
        "np": "Nombre producto",
        "ag": "Agregar",
        "es": "Escanear",
        "bu": "Buscar",
        "el": "Eliminar",
        "ed": "Editar",
        "ca": "Cantidad",
        "pr": "Precio",
        "bp": "Buscar producto",
        "cr": "Cerrar",
        "scp": "Escanear producto",
        "al": "Agregar a lista",
        "up": "Ubicación",
        "ubn": "Se encuentra ubicado en:",
        "pa": "Pasillo",
        "co": "Corredor",
        "pi": "Piso",
        "ne": "Estante",
        "nl": "Nueva lista",
        "in": "Ingrese un nombre",
        "menu": "Menú",
        "supermercado": "Supermercado" ,
        "atras": "Atrás" ,
        "seccion": "Sección",
        "corredor": "Corredor",
        "infpromo": "Promoción",
        "descripcionPromo": "Descripción",
        "precioNormal": "Precio normal",
        "nuevoname": "Nuevo producto",
        "simple": "Sencilla",
        "productoadd": "Producto agregado",
        "productnofound": "Producto no encontrado",
        "errorgetInfSuper": "Error al obtener información",
        "agregado": "Agregado" ,
        "sinconexion": "Sin conexión a internet", 
        "preciounitario":"precio unitario",
        "vermapa":"Ver mapa",
        "nuevonombre":"Nuevo nombre",
        "ubicacionnoecnontrada":"Ubicación no encontrada",
        "correo": "Correo",
        "contrasenia": "Contraseña",
        "iniciar_secion": "Iniciar Seción",
        "registrarse": "Registrarse",
        "olvidaste_contrasenia": "¿Olvidaste La Contraseña?",
        "ingles": "Inglés",
        "espaniol" : "Español",
        "pagarLista" : "Primero Pagar Lista",
        "recupera_contrasenia" : "Recuperar Contraseña",
        "verificar": "Verificar",
        "cancelar":"Cancelar",
        "actualizar": "Actualizar",
        "codigo": "Código",
        "contrasenia_nueva": "Nueva Contraseña",
        "supermercados" : "Supermercados",
        "inicio": "Inicio",
        "perfil" : "Perfil",
        "salir" : "Salir",
        "nombre" : "Nombre",
        "apellido" : "Apellido",
        "regis" : "Registrarse",
        "mensajeinicial" : "Su lista pronto será despachada",
        "enespera" : "En espera",
        "enprogreso" : "En progreso",
        "listadespachada" : "Lista despachada",
        "pedidolisto" : "Su pedido se encuentra listo",
        "seguimiento" : "Seguimiento",
        "comprar" : "Comprar",
        "pagadacorrecta" : "Transacción Correcta",
        "sinproductos" : "Sin productos la lista",
        "producto" : "Producto",
        "precioOriginal": "Precio original",
        "descuento" : "Descuento del",
        "actualizarperfil" : "Actualizado Correctamente",
        "actualizarperfilerror" : "Error al actualizar.!",
        "actualizar_contrasenia" : "Actualizar Contraseña",
        "ubicacion" : "Ubicación",
        "entregadomic" : "Entrega a domicilio",
        "costoadicional" : "Tendrá un costo adicional de",
        "cancelartext" : "Retirar",
        "oktext" : "Entrega",
        "sinlistas" : "Sin Listas",
        "creesuslistas" : "Cree sus listas en la sección de Supermercados",
        "tuslistas" : "Mis listas",
        "ayuda" : "Ayuda",
        "manual" : "Manual",
        "listasm" : "Listas"
    }
  }

